petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetPartitioner

Get the mesh partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPartitioner(DM dm, PetscPartitioner *part)

Not collective Many br

### Input Parameter

dm -The DM Many br

### Output Parameter

part -The PetscPartitioner Many br

Many br

Note: This gets a borrowed reference, so the user should not destroy this PetscPartitioner. Many br

### See Also

DMPlexDistribute(), DMPlexSetPartitioner(), PetscPartitionerCreate()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html